/*============formatUang====================
Fungsi formatUang digunakan untuk memformat
format number seperti 8000 atau 8000.00 menjadi 8.000,00 dalam format uang indonesia
paramenter yang di gunakan adalah value atau nilai dari Element seperti <TD>
author : Zulkarnain
email  : unang.z@gmail.com
thanks to : tsgr,jay & robert
=============================================*/
function z_formatUang(num) {
	num = num.toString().replace(/\$|\,/g,'');
	if(isNaN(num))	
	num = "0";
	sign = (num == (num = Math.abs(num)));
	num = Math.floor(num*100+0.50000000001);
	cents = num%100;
	num = Math.floor(num/100).toString();
	if(cents<10)
	cents = "0" + cents;
	for (var i = 0; i < Math.floor((num.length-(1+i))/3); i++)
	num = num.substring(0,num.length-(4*i+3))+'.'+
	num.substring(num.length-(4*i+3));
	return (((sign)?''+num+','+cents : '('+num+','+cents+')'));
}

/*++++++Fungsi ini untuk field yang hanya bisa diisi dengan angka saja++++*/
/*++++pemanggilan fungsi menggunakan onkeydown="return jsOnlyNumber(event)" +++++++*/
function jsOnlyNumber(evn){
	var keynum;
	var validKeyCode = new Array(8,9,13,16,17,18,27,35,36,37,38,39,40,46,48,49,50,51,52,53,54,55,56,57,96,97,98,99,100,101,102,103,104,105,190);
	
	if (evn.shiftKey == 1) { return false; }
  
	if (window.event)   { keynum = evn.keyCode }     //IE euy
	else if(evn.which)  { keynum = evn.which };   //Netscape/Firefox/Opera
  
	for (var i=0; i< validKeyCode.length; i++) {
		if (keynum == validKeyCode[i]) { return true; }
	}

	return false;
}

function tambahRow(){
  table_in = $('table_piutang');
	//cur_row = obj.parentNode.parentNode;
	num_id = parseInt(table_in.rows.length)-parseInt(1);
	next_row = table_in.insertRow(num_id);
	cell0 = next_row.insertCell(0);
	cell0.innerHTML = "<input type='text' name='piutang[]' style='width:100%;'>";
	cell1 = next_row.insertCell(1);
	cell1.innerHTML = "<input type='text' name='piutang_jml[]' tipe='piutang' value='0' onkeydown='return jsOnlyNumber(event);' onchange='hitungTotal();' style='width:100%;text-align:right;'>";
}

function hitungTotal(){
	total = 0;
	$$('input[tipe="piutang"]').each(
		function(set){
			total = parseFloat(total) + parseFloat(set.value);
		}
	);
	$('total_piutang').value = total;
	$('total_piutang_rp').innerHTML = "Rp. "+z_formatUang(total);
}